<?php

namespace App\Models\goods\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

/**
 * Class Stores
 * 门店
 * @package App\Models\goods\mysql
 */
class Stores extends MysqlBase
{
    const TABLE_NAME = 'stores';
    const CONFIG_INDEX = 'goods';

    public static function getRecord($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::get($colums, $where);
    }

    public static function getRecordMaster($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::selectMaster($colums, $where);
    }

    public static function save($data, $where = [])
    {
        if (empty($where)) {
            return self::insert($data);
        }
        return self::update($data, $where);
    }

    public static function deleteRecord($where)
    {
        return self::delete($where);
    }

    public static function getAll($lifeAccountId)
    {
        return self::select('*', ['life_account_id' => $lifeAccountId]);
    }
}